Producer transactions
You can retrieve producer transactions using Cloud API.
Producer transactions are transactions that are related in some way to a producer.
Common producer transaction types include:
- Submission: Represents a commissionable amount at policy submission, before any commission is earned.
- Earnings: Represents commission that has been earned. Earnings transactions might include links to invoice items and producer statements.
- Reversal: Negates a previous transaction, typically using a negative charge. Shares the same transaction number as the original transaction.
- Payable: Marks commission as payable. See the section below for more details.
Use the following endpoint to to retrieve commission-related transactions for a producer:
- GET
/billing/v1/producers/{producerId}/transactions
To retrieve a single transaction, use the following endpoint. This endpoint is described in Transactions.
- GET
/billing/v1/transactions/{transactionId}
?fields=producerStatementId query parameter.Transactions that appear in the API but not the UI
- Payable transactions
- Offsets
Payable transactions are transactions that BillingCenter creates whenever it creates an earning transaction. A payable transaction always corresponds with an earning transaction. However, in most cases they can be ignored, as they contain the same data as the earning transaction. However, earning transactions contain the payableCriteria field, whereas payable transactions do not.
Offsets are special transactions with negative amounts that are created to offset
payable transactions. Offsets only appear when a payable transaction is reversed.
Effectively, offsets reverse the amount of payable transactions, but they are not
technically reversal transactions. The reversed field is set to
false.
For information on the types of transactions, see Application Guide.
Producer transaction fields
amount: The amount of the transaction, as aMonetaryAmount.basis: The amount of the charge that the producer earns commission on for that transaction, as aMonetaryAmount.reversed: Whether the transaction has been reversed, as a Boolean. Note that for reversal transactions, this field is still set to false.
Transaction query example
The following is a snippet of a response for a query for a producer's transactions. The snippet contains a single producer submission transaction. This transaction is created when the policy is created, before any commission is earned or paid. It specifies that $100 USD is reserved to be paid to the producer based on the commission basis of $1000.
Command
GET /producers/bc:SRGgDvE2Bf4V6HKKTer7R/transactions
Response
{
"count": 28,
"data": [
{
"attributes": {
"amount": {
"amount": "100.00",
"currency": "usd"
},
"basis": {
"amount": "1000.00",
"currency": "usd"
},
"chargeCommission": {
"displayName": "Producer code Ladder-142-Spoon (Car-143-Geode) with role Primary on policy PP-Baby-146-Gemstone-1 for charge Premium (Policy Issuance)",
"id": "bc:SqHjHMo4grOwV5t3C5VhG",
"type": "ChargeCommission",
"uri": "/billing/v1/producers/bc:SRGgDvE2Bf4V6HKKTer7R/producer-codes/bc:So2SJxSF0vob9OtxoxzJz/policy-commissions/bc:SivHScKdb4eCM8l4mC_yO/charge-commissions/bc:SqHjHMo4grOwV5t3C5VhG"
},
"currency": {
"code": "usd",
"name": "USD"
},
"id": "bc:S2IcON5cmHxRhBmvTKcke",
"policyCommission": {
"displayName": "Producer code Ladder-142-Spoon (Car-143-Geode) with role Primary on policy PP-Baby-146-Gemstone-1",
"id": "bc:SivHScKdb4eCM8l4mC_yO",
"type": "PolicyCommission",
"uri": "/billing/v1/producers/bc:SRGgDvE2Bf4V6HKKTer7R/producer-codes/bc:So2SJxSF0vob9OtxoxzJz/policy-commissions/bc:SivHScKdb4eCM8l4mC_yO"
},
"producer": {
"displayName": "Ladder-142-Spoon",
"id": "bc:SRGgDvE2Bf4V6HKKTer7R",
"type": "Producer",
"uri": "/billing/v1/producers/bc:SRGgDvE2Bf4V6HKKTer7R"
},
"producerCode": {
"displayName": "Ladder-142-Spoon (Car-143-Geode)",
"id": "bc:So2SJxSF0vob9OtxoxzJz",
"type": "ProducerCode",
"uri": "/billing/v1/producers/bc:SRGgDvE2Bf4V6HKKTer7R/producer-codes/bc:So2SJxSF0vob9OtxoxzJz"
},
"reversed": false,
"subtype": "SubmissionCmsnTxn",
"transactionDate": "2026-05-16T20:16:38.984Z",
"transactionNumber": "1000000000-1060"
},
"checksum": "0",
"links": {
"self": {
"href": "/billing/v1/transactions/bc:S2IcON5cmHxRhBmvTKcke",
"methods": [
"get"
]
}
}
},
...
}